Bug 1628044 (CVE-2018-16426) - CVE-2018-16426 opensc: Infinite recusrion handling responses from IAS-ECC cards in card-iasecc.c:iasecc_select_file()
Summary: CVE-2018-16426 opensc: Infinite recusrion handling responses from IAS-ECC car...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16426
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628048 1628049 1630213
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 06:21 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:59 UTC

Description Sam Fowler 2018-09-12 06:21:46 UTC
Endless recursion when handling responses from an IAS-ECC card in iasecc_select_file in libopensc/card-iasecc.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to hang or crash the opensc library using programs.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/03628449b75a93787eb2359412a3980365dda49b#diff-f8c0128e14031ed9307d47f10f601b54

Comment 1 Sam Fowler 2018-09-12 06:37:10 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628048]

Comment 4 errata-xmlrpc 2019-08-06 12:21:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 5 Product Security DevOps Team 2019-08-06 13:19:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16426


Note You need to log in before you can comment on or make changes to this bug.